National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2019-19331 Detail

Current Description

knot-resolver before version 4.3.0 is vulnerable to denial of service through high CPU utilization. DNS replies with very many resource records might be processed very inefficiently, in extreme cases taking even several CPU seconds for each such uncached message. For example, a few thousand A records can be squashed into one DNS message (limit is 64kB).

Source:  MITRE
View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score: 7.5 HIGH
Vector:  CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Nist CVSS score does not match with CNA score
CNA:  Red Hat, Inc.
Base Score: 7.5 HIGH
Vector:  CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2019-19331 Exploit Issue Tracking Patch
https://www.knot-resolver.cz/2019-12-04-knot-resolver-4.3.0.html Release Notes Vendor Advisory

Weakness Enumeration

CWE-ID CWE Name Source
CWE-404 Improper Resource Shutdown or Release NIST  
CWE-407 Inefficient Algorithmic Complexity Red Hat, Inc.  

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:nic:knot_resolver:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (excluding)
4.3.0

Configuration 2 ( hide )
 cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*
     Show Matching CPE(s)


Change History

2 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2019-19331
NVD Published Date:
12/16/2019
NVD Last Modified:
12/17/2019